import React from 'react';
import { Context } from 'use-context-selector';
import { KeyValue, ActionCreators, CreateContextProviderReturn, CustomProvider } from './typings';
declare function createContextProvider(reducer: React.Reducer<any, any>, initialState: KeyValue, actionCreators: ActionCreators): CreateContextProviderReturn;
declare function createContextProvider(initialState: KeyValue, actionCreators: ActionCreators): CreateContextProviderReturn;
declare function getProviderContext(Provider: CustomProvider): Context<any>;
export default createContextProvider;
export { getProviderContext, };
